воскресенье, 14 марта 2010 г.

Не только одними feature5.10... :)



Выложил свой модуль на CPAN  и тут начались проблемы - CPAN Testers показывает, что во всех версиях перла ниже 5.10 тесты проваливаются, начал разбираться и вот:

в 5.10.x


print qr{\Q\_\E} #выведет:(?-xism:\\_)
print "\Q\_\E"   #выведет:_


в 5.8.x

print qr{\Q\_\E} #выведет: 
(?-xism:_)


print "\Q\_\E"   #выведет: 
_


Занятно, однако ...

0 коммент.:

Отправить комментарий

Не забудьте добавить себя в постоянные читатели и включить уведомления о новых комментариях, либо воспользуйтесь RSS каналом ;)